cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Visitor
Visitor
916 Views
Registered: ‎11-11-2017

Petalinux1802 failed to source bitbake under Ubuntu1804

1,Source Petalinux settings.sh then comes an error like below in red sign
PetaLinux environment set to '/home/ubt/Documents/petalinux1802'
INFO: Checking free disk space
INFO: Checking installed tools
environment: line 281: ((: 10#15~1 > 10#3: syntax error in expression (error token is "~1 > 10#3")
environment: line 285: ((: 10#15~1 < 10#3: syntax error in expression (error token is "~1 < 10#3")
INFO: Checking installed development libraries
INFO: Checking network and other services
2, If Ignore above issue then comes bitbake issue

ubt@ubt:~/Documents/Petalinux_prj/ptp_l2midV3$ petalinux-build
[INFO] building project
[INFO] sourcing bitbake
ERROR: Failed to source bitbake
ERROR: Failed to build project

 

My OS info.:Linux ubt 4.15.0-32-generic #35-Ubuntu SMP Fri Aug 10 17:58:07 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Petalinux Version: petalinux-v2018.2-final-installer.run

 

Is there anybody get those issue too? Please give me a favor, thank you all.

0 Kudos
3 Replies
Highlighted
Moderator
Moderator
889 Views
Registered: ‎02-07-2018

Re: Petalinux1802 failed to source bitbake under Ubuntu1804

Hi @washingtonxr,

 

Ubuntu 18.04 is not support for 2018.x release. , Please use ubuntu-16.04.

Please follow installation requirements as per this link:https://www.xilinx.com/support/documentation/sw_manuals/xilinx2018_2/ug1144-petalinux-tools-reference-guide.pdf  (page no:9)

 

 

Thanks & regards

Aravind

 

---------------------------------------------------------------------------
Don’t forget to Reply, Kudo, and Accept as Solution.
---------------------------------------------------------------------------

Highlighted
Visitor
Visitor
837 Views
Registered: ‎03-29-2018

Re: Petalinux1802 failed to source bitbake under Ubuntu1804

Forget about using anything other than 16.04 LTS. I tried getting it to work on 18.04 for days to no avail.

0 Kudos
Highlighted
Moderator
Moderator
811 Views
Registered: ‎04-24-2017

Re: Petalinux1802 failed to source bitbake under Ubuntu1804

Hi @kautschuk,

 

Yocto community doesn't support Ubuntu 18.04 refer https://www.yoctoproject.org/docs/2.4.1/mega-manual/mega-manual.html#detailed-supported-distros and all the meta-* layers are not tested with Ubuntu 18.04.

Thanks,
Sandeep
PetaLinux Yocto | Embedded SW Support

---------------------------------------------------------------------------
Don’t forget to Reply, Kudo, and Accept as Solution.
---------------------------------------------------------------------------
0 Kudos